/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#include <string>

#include "Name.h"

namespace Blinker {

/// constructor
Name::Name()
{
}

/**
 * @brief parse from string format
 * @param[in] str string format
 * @return if parsing was successful
 */
bool Name::fromStr(const std::string &str)
{
  m_str = str;
  return !m_str.empty();
}

/**
 * @brief convert to string format
 * @return string format
 */
std::string Name::toStr() const
{
  return m_str;
}

} // namespace Blinker

